# Interface UseFivePluginOptionsWithCreate<T>

interface UseFivePluginOptionsWithCreate<T> {
createPlugin: (five: Five) => T;
reCreateOnFiveChange?: boolean;
}

#### Type Parameters

- T

#### Hierarchy (View Summary)

- UseFivePluginOptions<T>
  - UseFivePluginOptionsWithCreate

- Defined in lib/react/hooks/useFivePlugin.ts:65

##### Index

### Properties

createPlugin
reCreateOnFiveChange?

## Properties

### createPlugin

createPlugin: (five: Five) => T

缓存未命中时自动创建插件实例

Overrides UseFivePluginOptions.createPlugin

- Defined in lib/react/hooks/useFivePlugin.ts:66

### `Optional` reCreateOnFiveChange

reCreateOnFiveChange?: boolean

Five 实例变化时是否重新创建（而非同步引用），默认 false

Inherited from UseFivePluginOptions.reCreateOnFiveChange

- Defined in lib/react/hooks/useFivePlugin.ts:62